Subject: Ticket Assigned - Delivery
From: Max <[email-masked]>
To: [email-masked]
Date: Sat, 13 Jun 2020 06:54:58 +0000

Hi Syed Ataullah,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Hi there,
To make the long story short,
I've been facing a huge difficulty receiving my order number : 9781462000 which was placed on Max fashion UAE at 7th of May under this consignment number : 88888001376820200507
When I have checked the invoice I noticed that they have mixed up the shipping address with the billing address and this is what made it difficult for Fetchr to drop off the package at Aramex office as they refused to register it and told them to send it back to the vendor! 
This is the Fetchr tracking number : 3414436922395
I have been trying to contact Maxfashion since then but couldn't reach them on Twitter  they never response  or on their website  you have to have a UAE phone number to write them  I am living in KSA  and it's  frustrating how this experience made me  feel! I've done numerous online purchases for the past 14 years and never encounter anything like that of addressing the client / customer issue with the owner ? 

Please contact me thru the email below as soon as possible. 
Thanks in advance, https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1196401